// NetSDKLog.cpp : 实现文件
//

#include "stdafx.h"
#include "NetSDKDemo.h"
#include "NetSDKLog.h"
#include "NetSDKDLL.h"


// CNetSDKLog 对话框

IMPLEMENT_DYNAMIC(CNetSDKLog, CDialog)

CNetSDKLog::CNetSDKLog(CRect rcWnd,CWnd* pParent /*=NULL*/)
	: CDialog(CNetSDKLog::IDD, pParent)
	,m_rcClient(0, 0, rcWnd.Width(), rcWnd.Height())
{

}

CNetSDKLog::~CNetSDKLog()
{
	DestroyWindow();
}

void CNetSDKLog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_STATIC_GROUP, m_ctlGroup);
	DDX_Control(pDX, IDC_STATIC_IP, m_ctlDevIP);
}


BEGIN_MESSAGE_MAP(CNetSDKLog, CDialog)
	ON_BN_CLICKED(IDC_BTN_SEARCH_LOG, &CNetSDKLog::OnBnClickedBtnSearchLog)
END_MESSAGE_MAP()


// CNetSDKLog 消息处理程序

void CNetSDKLog::OnBnClickedBtnSearchLog()
{
	// TODO: 在此添加控件通知处理程序代码
// 	CString strIP;
// 	m_ctlDevIP.GetWindowText(strIP);
// 	
// 	int iUserID = 0;
// 	{
// 		CMapAutoLock Lock;
// 		for (IT_DEV_LIST it = theApp.m_pMapDevList.begin(); it != theApp.m_pMapDevList.end(); it++)
// 		{
// 			CDevInfo *pDevInfo = (CDevInfo *)it->second;
// 			if (strIP.Compare(pDevInfo->pDevceIP) == 0)
// 			{
// 				iUserID = pDevInfo->iUserID;
// 				break;
// 			}
// 		}
// 	}
// 
// 	if (iUserID == 0)
// 	{
// 		AfxMessageBox("没有找到设备");
// 		return ;
// 	}
// 	int iRet = IP_NET_DVR_FindDVRLogFile(iUserID);
// 	if (iRet == ERR_NOT_FIND_DEVICE)
// 	{
// 		AfxMessageBox("未找到指定设备");
// 		return ;
// 	}
// 	else if (iRet == ERR_DEV_NOT_CONNECTED)
// 	{
// 		AfxMessageBox("设备未连接");
// 		return ;
// 	}
// 	else if (iRet == ERR_DEV_NOT_LOGIN)
// 	{
// 		AfxMessageBox("设备未登录成功");
// 		return ;
// 	}
// 	else if (iRet == ERR_OUTOFF_MEMORY)
// 	{
// 		AfxMessageBox("内存不足");
// 		return ;
// 	}


}

BOOL CNetSDKLog::OnInitDialog()
{
	CDialog::OnInitDialog();

	// TODO:  在此添加额外的初始化
	m_ctlGroup.MoveWindow(CRect(m_rcClient.left+2, m_rcClient.top,m_rcClient.Width()-2, m_rcClient.Height()-2));
	return TRUE;  // return TRUE unless you set the focus to a control
	// 异常: OCX 属性页应返回 FALSE
}

void CNetSDKLog::SetSelIP(CString &strIP)
{
	m_ctlDevIP.SetWindowText(strIP);
}
BOOL CNetSDKLog::PreTranslateMessage(MSG* pMsg)
{
	// TODO: 在此添加专用代码和/或调用基类
	if (pMsg->message == WM_KEYDOWN)
	{
		if (pMsg->wParam == 13)
			return TRUE;
		if (pMsg->wParam == 27)
		{
			::PostMessage(GetParent()->m_hWnd, WM_KEYDOWN, 27, 0);
			return TRUE;
		}
	}
	return CDialog::PreTranslateMessage(pMsg);
}
